package cn.novalon.gym.manage.sys.core.repository;

import cn.novalon.gym.manage.sys.core.domain.SysDictType;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

/**
 * 字典类型仓储接口
 * 
 * @author 张翔
 * @date 2026-03-13
 */
public interface ISysDictTypeRepository {

    Flux<SysDictType> findByDeletedAtIsNull();

    Mono<SysDictType> findById(Long id);

    Mono<SysDictType> findByDictTypeAndDeletedAtIsNull(String dictType);

    Mono<SysDictType> save(SysDictType dictType);

    Mono<Void> deleteByIdAndDeletedAtIsNull(Long id);
}